<!DOCTYPE html>
<html lang="en">
<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">

	<!-- CSS Files -->
	<link href="c3.min.css" rel="stylesheet">
	<link href="styles.css" rel="stylesheet">
	<!--	ICONS   -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

	<!-- JS Files -->
	<script type="text/javascript" src="d3.v5.min.js"></script>
	<script type="text/javascript" src="c3.min.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

	<title>Lava</title>
</head>
<body>
<div class="upperMenu">

	<div class="dropdown">
		<h4>Department</h4>
		<select class="" onchange="location = this.value;">
			<option value="index.php">Please Select</option>
            <?php foreach ($departments as $dep): ?>
				<option
						value="?faculty=<?= $dep ?>"
                    <?= (isset($_GET['faculty']) && $_GET['faculty'] == $dep) ? 'selected' : '' ?>><?= $dep ?></option>
            <?php endforeach; ?>
		</select>
	</div>

    <?php if (isset($_GET['faculty'])) : ?>
		<div class="dropdown">
			<h4>Sub Department</h4>
			<div class="third_select_row">
				<select onchange="location = this.value;">
					<option value="">Please Select</option>
                    <?php foreach ($subDepartments as $subDep): ?>
						<option
                            <?= (isset($_GET['department']) && $_GET['department'] == $subDep) ? 'selected' : '' ?>
								value="?faculty=<?= $_GET['faculty'] ?>&department=<?= $subDep ?>"><?= $subDep ?></option>
                    <?php endforeach ?>
				</select>
			</div>
		</div>
    <?php endif; ?>
    <?php if (isset($_GET['faculty'], $_GET['department'])): ?>
		<div class="dropdown">
			<h4>Professors</h4>
			<div class="third_select_row">
				<select onchange="location = this.value;">
					<option value="">Please Select</option>
                    <?php foreach ($professors as $prof): ?>
						<option
                            <?= (isset($_GET['lecturer']) && $_GET['lecturer'] == $prof) ? 'selected' : '' ?>
								value="?faculty=<?= $_GET['faculty'] ?>&department=<?= $_GET['department'] ?>&lecturer=<?= $prof ?>"><?= $prof ?></option>
                    <?php endforeach; ?>
				</select>
			</div>
		</div>
    <?php endif; ?>
    <?php if (isset($_GET['faculty'], $_GET['department'], $_GET['lecturer'])) : ?>
		<div class="dropdown">
			<h4>Courses</h4>
			<select onchange="location = this.value;">
				<option value="">Please Select</option>
                <?php foreach ($courseName as $cname): ?>
					<option
                        <?= (isset($_GET['course_name']) && $_GET['course_name'] == $cname) ? 'selected' : '' ?>
							value="?faculty=<?= $_GET['faculty'] ?>&department=<?= $_GET['department'] ?>&lecturer=<?= $_GET['lecturer'] ?>&course_name=<?= $cname ?>"><?= $cname ?></option>
                <?php endforeach; ?>
			</select>
		</div>
    <?php endif; ?>
    <?php if (isset($_GET['faculty'], $_GET['department'], $_GET['lecturer'], $_GET['course_name'])): ?>
	<div class="dropdown">
		<h4>SemesterYear</h4>
		<div class="fifth_row">
			<div class="fifth_select_row">
				<select onchange="location = this.value;">
					<option value="">Please Select</option>
                    <?php foreach ($yearSemester as $yearSem): ?>
						<option
                            <?= (isset($_GET['year'], $_GET['term']) && $yearSem['term'] . ' ' . $yearSem['year'] == $_GET['term'] . ' ' . $_GET['year']) ? 'selected' : '' ?>
								value="?faculty=<?= $_GET['faculty']
                                ?>&department=<?= $_GET['department']
                                ?>&lecturer=<?= $_GET['lecturer']
                                ?>&course_name=<?= $_GET['course_name']
                                ?>&term=<?= $yearSem['term']
                                ?>&year=<?= $yearSem['year']
                                ?>&attr=course"><?= $yearSem['term'] ?> <?= $yearSem['year'] ?></option>
                    <?php endforeach; ?>
				</select>
			</div>
		</div>
        <?php endif ?>
	</div>
    <?php if (isset($_GET['more'])) : ?>
		<div class="dropdown">
			<h4>Attributes</h4>
			<div class="sixth_select_row">
				<select onchange="location = this.value;">
                    <?php foreach ($attributesFound as $attributeName => $values) : ?>
						<option <?= (isset($_GET['attr']) && $attributeName == $_GET['attr']) ? 'selected' : '' ?>
								value="?faculty=<?= $_GET['faculty']
                                ?>&department=<?= $_GET['department']
                                ?>&lecturer=<?= $_GET['lecturer']
                                ?>&course_name=<?= $_GET['course_name']
                                ?>&term=<?= $_GET['term']
                                ?>&year=<?= $_GET['year']
                                ?>&attr=<?= $attributeName ?>"><?= $attributeName ?></option>
                    <?php endforeach ?>
				</select>
			</div>
		</div>
    <?php endif ?>

    <?php if (isset($_GET['faculty'], $_GET['department'], $_GET['lecturer'], $_GET['course_name'], $_GET['year'],
        $_GET['term'], $_GET['attr'])) : ?>
    <?php if (!isset($_GET['more'])): ?>
<!--	<div class="inlineActive ">-->
<!--		<input class="button floatRight" type="button" value="Compare With">-->
<!--		<span class="clear"></span>-->
<!--	</div>-->

	<div>
		<div id="semesterKeys" data-semesterKeys='<?= json_encode($semesterKeys) ?>'></div>
		<div id="semesterValues" data-semesterValues='<?= json_encode($semesterValues) ?>'></div>
		<div id="studyFieldKeys" data-studyFieldKeys='<?= json_encode($studyFieldKeys) ?>'></div>
		<div id="studyFieldValues" data-studyFieldValues='<?= json_encode($studyFieldValues) ?>'></div>
		<div id="degreeKeys" data-degreeKeys='<?= json_encode($degreeKeys) ?>'></div>
		<div id="degreeValues" data-degreeValues='<?= json_encode($degreeValues) ?>'></div>
		<div id="averagesKeys" data-averagesKeys='<?= json_encode($averagesKeys) ?>'></div>
		<div id="averagesValue" data-averagesValue='<?= json_encode($averagesValue) ?>'></div>
		<div id="jsonDataForCharts" data-jsonDataForCharts='<?= json_encode($jsonDataForCharts) ?>'></div>
		<div id="attributesFound" data-attributesFound='<?= json_encode($attributesFound) ?>'></div>
		<div id="keys" data-keys='<?= json_encode($keys) ?>'></div>
        <?php endif ?>
	</div>
</div>
<div id="vueApp">
	<!--	<li v-for="(depname , index) in deps" v-on:click="getSubs(depname)">-->
	<!---->
	<!--		<strong>Name:</strong>{{depname}}-->
	<!--	</li>-->
	<!--	<li v-for="(sub , index) in subs" v-on:click="getProfs(sub)">-->
	<!---->
	<!--		<strong>Name:</strong>{{sub}}-->
	<!--	</li>-->
	<!--	<li v-for="(prof , index) in profs" v-on:click="getCourses(prof)">-->
	<!---->
	<!--		<strong>Name:</strong>{{prof}}-->
	<!--	</li>-->
	<!--	<li v-for="(course , index) in courses" v-on:click="getYearSems(course)">-->
	<!---->
	<!--		<strong>Name:</strong>{{course}}-->
	<!--	</li>-->
	<!--	<li v-for="(course , index) in yearSems" v-on:click="getAttributes(course.year,course.term)">-->
	<!---->
	<!--		<strong>Name:</strong>{{course.year}}{{course.term}}-->
	<!--	</li>-->

	<div id="overview">
		<h1><?=$_GET['course_name'].' '.$_GET['year'].$_GET['term'].' '.'('.$_GET['lecturer'].')'?></h1>
		<div class="right">
			<div class="inlineCharts">
				<div id="abschluss"></div>
			</div>
			<div class="inlineCharts">
				<div id="fachsemester"></div>
			</div>
			<div class="inlineCharts">
				<div id="studiengang"></div>
			</div>
			<div class="inlineCharts">
				<div id="averages"></div>
			</div>
		</div>
		<button id="hideDetails" type="button" class="button" v-on:click="hideDetails()" v-show="showDetail">Hide Details
		</button>
		<button id="showDetails" type="button" class="button" v-on:click="showDetails()">Show Details
		</button>
	</div>
	<button class="button floatRight clear" type="button" v-on:click="toggleComments()">Show Comments
	</button>
	<div v-show="showComment" class="clear" id="commentBox">
		<i  class="window-close" v-on:click="toggleComments()">X</i>
		<ul class="commentUl">
            <?php foreach ($positiveComments as $comment): ?>
				<!--                    --><?php //var_dump($positiveCommentsCounts);?>
				<li class="commentLiPositive"><p class="inlineActive"><?= $comment ?></p>
					<p class="floatRight"><?= $positiveCommentsCounts[$comment] ?></p></li>
            <?php endforeach ?>
		</ul>
		<ul class="commentUl">
            <?php foreach ($negativeComments as $comment): ?>

				<li class="commentLiNegative"><p class="inlineActive"><?= $comment ?></p>
					<p class="floatRight"><?= $negativeCommentsCounts[$comment] ?></p></li>
            <?php endforeach ?>
		</ul>
	</div>

	<div id="attributeDetails" class="clear" v-show="showDetail">
		<h1 id="attrTitle" class="clear">Attribute Details</h1>
		<div class="inlineCharts clear">
			<div id="chart"></div>
		</div>
	</div>
	<div class=" clear">
		<span class="compareInfo" ><?=$_GET['faculty']?></span>
		<span class="compareInfo" ><?=$_GET['department']?></span>
		<span class="compareInfo" ><?=$_GET['lecturer']?></span>
		<span class="compareInfo" ><?=$_GET['course_name']?></span>
		<span class="compareInfo" ><?=$_GET['year'].$_GET['term']?></span>
	</div>
    <div style="margin-top:10px;">
        <button class="button clear" v-on:click.prevent="hideCompare()" v-show="showCompare"> Hide Compare</button>
        <button class="button clear" v-on:click.prevent="getDeps()"> Compare With</button>
    </div>
	<div class="compareInfo" v-show="showCompare">
		<span class="compareInfo" v-show="dep">{{dep}}</span>
		<span class="compareInfo" v-show="sub">{{sub}}</span>
		<span class="compareInfo" v-show="prof">{{prof}}</span>
		<span class="compareInfo" v-show="course">{{course}}</span>
		<span class="compareInfo" v-show="year">{{year}} {{term}}</span>
	</div>
	<div class="navbar" v-show="showCompare">
		<div class="subnav" v-show="deps">
			<button class="subnavbtn">Departments <i class="fa fa-caret-down"></i></button>
			<div class="subnav-content">
				<a v-for="(depname , index) in deps" v-on:click="getSubs(depname)">{{depname}}</a>
			</div>
		</div>
		<div class="subnav" v-show="subs">
			<button class="subnavbtn">Sub Departments <i class="fa fa-caret-down"></i></button>
			<div class="subnav-content">
				<a v-for="(sub , index) in subs" v-on:click="getProfs(sub)">{{sub}}</a>
			</div>
		</div>
		<div class="subnav" v-show="profs">
			<button class="subnavbtn">Professors <i class="fa fa-caret-down"></i></button>
			<div class="subnav-content">
				<a v-for="(prof , index) in profs" v-on:click="getCourses(prof)">{{prof}}</a>
			</div>
		</div>
		<div class="subnav" v-show="courses">
			<button class="subnavbtn">Courses<i class="fa fa-caret-down"></i></button>
			<div class="subnav-content">
				<a v-for="(course , index) in courses" v-on:click="getYearSems(course)">{{course}}</a>
			</div>
		</div>
		<div class="subnav" v-show="yearSems">
			<button class="subnavbtn">Year / Semester<i class="fa fa-caret-down"></i></button>
			<div class="subnav-content">
				<a v-for="(course , index) in yearSems" v-on:click="getAttributes(course.year,course.term)">{{course.year}}{{course.term}}</a>
			</div>
		</div>
		<div class="subnav" v-show="year">
			<button class="subnavbtn" v-on:click="setAttribute(attr,values)">Compare<i class="fa fa-arrow-right "></i></button>
<!--			<div class="subnav-content">-->
<!--				<a v-for="(values , attr) in attributes" v-on:click="setAttribute(attr,values)">{{attr}}</a>-->
<!--			</div>-->
		</div>
	</div>
	<div  id="comparisonChart" v-show="showCompare"></div>


    <?php endif; ?>
</div>
<!--<script src="getattrComponent.js"></script>-->
<script src="vueApp.js"></script>
<script src="charts.js"></script>
</body>
</html> 
